Bug 1607126 - [F27] file /usr/lib from install of python2-atomicwrites-1.1.5-11.fc29.noarch conflicts with file from package filesystem-3.9-2.fc29.i686
Summary: [F27] file /usr/lib from install of python2-atomicwrites-1.1.5-11.fc29.noarch...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-atomicwrites
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1602869
Blocks: 1602749
TreeView+ depends on / blocked
 
Reported: 2018-07-22 08:37 UTC by Michele Baldessari
Modified: 2018-07-31 18:02 UTC (History)
6 users (show)

Fixed In Version: python-atomicwrites-1.1.5-5.fc27 python-atomicwrites-1.1.5-8.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1602869
Environment:
Last Closed: 2018-07-31 17:12:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Michele Baldessari 2018-07-22 08:37:11 UTC
+++ This bug was initially created as a clone of Bug #1602869 +++

Description of problem:
I'm getting this error while trying to update a package.

file /usr/lib from install of python2-atomicwrites-1.1.5-11.fc29.noarch conflicts with file from package filesystem-3.9-2.fc29.i686



Version-Release number of selected component (if applicable):
python2-atomicwrites-1.1.5-11.fc29.noarch

--- Additional comment from Jonathan Underwood on 2018-07-18 12:49:41 EDT ---

Also breaks building of python-lz4.

--- Additional comment from Michele Baldessari on 2018-07-18 13:17:12 EDT ---

Thanks for the report. I think the automatic mass rebuild broke things for 
python2-atomicwrites-1.1.5-11.fc29.noarch.rpm which has these files:
...
/usr
/usr/lib
/usr/lib/python2.7
/usr/lib/python2.7/site-packages
/usr/lib/python2.7/site-packages/atomicwrites
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/atomicwrites/__init__.py
/usr/lib/python2.7/site-packages/atomicwrites/__init__.pyc
/usr/lib/python2.7/site-packages/atomicwrites/__init__.pyo
/usr/lib/python3.7
/usr/lib/python3.7/site-packages
/usr/lib/python3.7/site-packages/atomicwrites
/usr/lib/python3.7/site-packages/atomicwrites-1.1.5-py3.7.egg-info
/usr/lib/python3.7/site-packages/atomicwrites-1.1.5-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/atomicwrites-1.1.5-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/atomicwrites-1.1.5-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/atomicwrites-1.1.5-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/atomicwrites/__init__.py
/usr/lib/python3.7/site-packages/atomicwrites/__pycache__
/usr/lib/python3.7/site-packages/atomicwrites/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/atomicwrites/__pycache__/__init__.cpython-37.pyc
/usr/share
/usr/share/doc/python2-atomicwrites
/usr/share/doc/python2-atomicwrites/LICENSE
/usr/share/doc/python2-atomicwrites/README.rst
/usr/share/man
/usr/share/man/man1
/usr/share/man/man1/atomicwrites.1.gz




python2-atomicwrites-1.1.5-12.fc29.noarch.rpm has the correct files:
/usr/lib/python2.7/site-packages/atomicwrites
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/atomicwrites-1.1.5-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/atomicwrites/__init__.py
/usr/lib/python2.7/site-packages/atomicwrites/__init__.pyc
/usr/lib/python2.7/site-packages/atomicwrites/__init__.pyo
/usr/share/doc/python2-atomicwrites
/usr/share/doc/python2-atomicwrites/LICENSE
/usr/share/doc/python2-atomicwrites/README.rst

--- Additional comment from Ankur Sinha (FranciscoD) on 2018-07-18 14:10:12 EDT ---

I guess we need to wait for a new repo-compose then. My builds are still failing.

--- Additional comment from Raphael Groner on 2018-07-19 21:38:05 EDT ---

Some more packages in koschei's list of F27 affected by this issue:
psi-plus
enki
lumina-desktop
python-qutepart
qt-virt-manager

Comment 1 Fedora Update System 2018-07-22 09:04:00 UTC
python-atomicwrites-1.1.5-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-23c964205c

Comment 2 Fedora Update System 2018-07-22 09:04:14 UTC
python-atomicwrites-1.1.5-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-168789261e

Comment 3 Fedora Update System 2018-07-23 02:25:07 UTC
python-atomicwrites-1.1.5-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-23c964205c

Comment 4 Fedora Update System 2018-07-23 02:55:29 UTC
python-atomicwrites-1.1.5-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-168789261e

Comment 5 Fedora Update System 2018-07-31 17:12:55 UTC
python-atomicwrites-1.1.5-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-07-31 18:02:44 UTC
python-atomicwrites-1.1.5-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.